This guide helps you migrate to the Traffic API Orbis v2 endpoints. It covers differences from both the TomTom Maps endpoints and the Orbis v1 endpoints.
General changes
Changes in authentication
Aspect
Orbis v2
API Key (header)
TomTom-Api-Key header (recommended)
API Key (query)
key query parameter (still supported, but shouldn’t be treated as the default option)
Attributes mechanism
In Orbis v2 a unified Attributes mechanism is introduced for controlling response content. It provides a flexible way to specify which attributes, tags, data fields etc. to include or exclude in API responses.
The Attributes mechanism consists of:
attributes query parameter — Available only for vector tiles endpoints (optional). Specifies which vector tile tags to include and which other attributes to apply (e.g., *,tags(road_category),roadCategories(motorway)). Takes precedence over headers when both are present.
Attributes request header — For vector tiles: specifies which tags to include and which other attributes to apply. For Incident Details: specifies which JSON response fields to include (required).
Attributes-Exclude request header — Specifies which tags or fields to omit. Optional for all endpoints, used only with Attributes request header.
This mechanism replaces previous parameters such as fields (for JSON response fields selection), tags (for vector tile tags selection) and several vector tiles-related filtering parameters (roadTypes, roadCategoryFilter, categoryFilter, timeValidityFilter).
For detailed information about Attributes syntax, available values, and usage examples, refer to the Attributes section in each respective Orbis v2 endpoint documentation.
Error message format
Error messages are returned in JSON format in the following structure:
Field
Description
detailedError
Main object of the error response. Consists of code and message properties.
detailedError.code
One of a server-defined set of error codes.
detailedError.message
A human-readable description of the error code.
Exemplary error message
1
{
2
"detailedError": {
3
"code": "BAD_REQUEST",
4
"message": "Invalid tile position arguments"
5
}
6
}
Migrating from TomTom Maps
This section describes the changes when migrating from the TomTom Maps Traffic API endpoints to the Orbis v2 endpoints.
Flow vector tiles endpoint
Where do I find the new endpoint
The new Orbis v2 Flow vector tiles endpoint has the following path:
apiVersion query parameter or TomTom-Api-Version header (value: 2)
type
Required path parameter to specify flow type
Removed from path. Vector flow tiles no longer use such path parameter.
Changes in request query parameters
TomTom Maps parameter
Orbis v2 parameter
Notes
Not available
apiVersion
Required (query parameter or TomTom-Api-Version header). Supported value is 2.
Not available
attributes
Optional. Specifies which attributes should be applied to the response. Replaces tags and filter query parameters. Takes precedence over Attributes-Attributes-Exclude headers pair.
margin
Not available
Removed.
tags
Not available
Replaced by the tags attribute (e.g., tags(road_category,road_subcategory)), available via the attributes query parameter or the Attributes header.
roadTypes
Not available
Replaced by the roadCategories attribute (e.g., roadCategories(motorway,trunk)), available via the attributes query parameter or the Attributes header.
trafficLevelStep
Not available
Removed.
Changes in request headers
Header name
TomTom Maps
Orbis v2
TomTom-Api-Version
Not available
Required (value: 2).
Attributes
Not available
Optional. Specifies which attributes should be applied to the response. Replaces tags and filter query parameters.
Attributes-Exclude
Not available
Optional. Specifies which attributes should be omitted in the response.
Allows the choice of tile tags in the requested tile.
roadCategories
Allows the choice of road category types in the requested tile.
Changes in vector tile tags
TomTom Maps tag
Orbis v2 tag
Notes
road_type (default)
Not available
Removed. Use road_category/road_subcategory tags instead.
road_category (on-demand)
road_category (default)
Contains wider range of road categories.
road_subcategory (on-demand)
road_subcategory (default)
Contains wider range of road subcategories.
traffic_level (default)
Not available
Removed. In TomTom Maps, traffic_level carried either absolute or relative values depending on the style. In Orbis v2, corresponding tags relative_speed and absolute_speed are available.
Not available
relative_speed (default)
New. Provides the value indicating the speed relative to free-flow traffic.
Not available
absolute_speed (on-demand)
New. Provides the absolute speed in km/h as a separate tag.
traffic_road_coverage (default)
part_of_two_way_road (on-demand)
Changed. TomTom Maps used string values (one_side, full). Orbis v2 variant reflects the information via boolean tag.
left_hand_traffic (default)
left_hand_traffic (default)
No change.
road_closure (default)
road_closure (default)
No change.
Not available
display_class (default)
New. Ranking of the road based on importance; can be used for content filtering.
Not available
openlr (on-demand, explicit)
New. The OpenLR code describing the flow section. Explicit tag.
Note: Tags marked as explicit in Orbis v2 endpoints have to be explicitly listed in Attributes/Attributes-Exclude headers or attributes query parameter.
They are not included solely by using * wildcard.
Changes in response content type
TomTom Maps
Orbis v2
image/pbf
application/vnd.mapbox-vector-tile
Changes in response headers
TomTom Maps header
Orbis v2 header
Notes
Expires
Cache-Control
Expires header is replaced with Cache-Control.
Flow raster tiles endpoint
Where do I find the new endpoint
The new Orbis v2 Flow raster tiles endpoint has the following path:
apiVersion query parameter or TomTom-Api-Version header (value: 2)
Changes in request query parameters
TomTom Maps parameter
Orbis v2 parameter
Notes
Not available
apiVersion
Required (query parameter or TomTom-Api-Version header). Supported value is 2.
Not available
attributes
Optional. Specifies which attributes should be applied to the response. Replaces tags and filter query parameters. Takes precedence over Attributes-Attributes-Exclude headers pair.
tags
Not available
Replaced by the tags attribute (e.g., tags(road_category,road_subcategory)), available via the attributes query parameter or the Attributes header.
language
Not available
Removed. Use the Accept-Language request header instead.
Changes in request headers
Header name
TomTom Maps
Orbis v2
TomTom-Api-Version
Not available
Required (value: 2).
Attributes
Not available
Optional. Specifies which attributes should be applied to the response. Replaces tags and filter query parameters.
Attributes-Exclude
Not available
Optional. Specifies which attributes should be omitted in the response.
Allows the choice of tile tags in the requested tile.
roadCategories
Allows the choice of road category types in the requested tile.
iconCategories
Allows the choice of icon categories in the requested tile.
timeValidity
Allows the choice of incidents presence based on their occurrence in time (present and/or future).
Changes in protobuf tags
TomTom Maps tag
Orbis v2 tag
Notes
id (on-demand)
id (mandatory)
It is now a mandatory tag added to each response.
icon_category_[idx]integer (default)
icon_category_[idx]string (default)
Type changed from integer to string. Values changed from numeric codes (e.g., 0, 1, 6) to descriptive strings (e.g., unknown, accident, jam).
icon_categoryinteger (default)
Not available
Clusters are not supported, therefore related tag is also not available.
magnitudeinteger (default)
magnitude_of_delaystring (default)
Renamed. Type changed from integer to string. Values changed from numeric codes (e.g., 0–4) to descriptive strings (e.g., unknown, minor, moderate, major, undefined).
left_hand_traffic (default)
left_hand_traffic (default)
No change.
road_category (on-demand)
road_category (default)
Contains wider range of road categories.
road_subcategory (on-demand)
road_subcategory (default)
Contains wider range of road subcategories.
delay (default)
delay_in_seconds (default)
Renamed.
clustered (default)
Not available
Clusters are not supported, therefore related tag is also not available.
description (default)
Not available
Clusters are not supported, therefore related tag is also not available.
description_[idx] (default)
description_[idx] (default)
Set from on-demand tag to default.
Not available
display_class (default)
New. Ranking of the road based on importance; can be used for filtering.
Not available
point_type (on-demand)
Specifies whether it is the start point of incident line (start_point), or standalone POI geometry (standalone_point).
traffic_road_coverage (default)
part_of_two_way_road (on-demand)
Changed. TomTom Maps used string values (one_side, full). Orbis v2 variant reflects the information via boolean tag.
Not available
start_time (on-demand)
Start time of the incident, if available.
end_date (on-demand)
end_time (on-demand)
Renamed.
Not available
time_validity (on-demand)
An enumeration string describing if the incident occurrence is now or the future.
Not available
average_speed_kmph (on-demand)
Shows average speed information associated with the incident, if present.
Not available
openlr (on-demand, explicit)
New. The OpenLR code describing the incident section. Explicit tag.
probability_of_occurrence (on-demand)
probability_of_occurrence (on-demand, explicit)
Becomes explicit tag.
number_of_reports (on-demand)
number_of_reports (on-demand, explicit)
Becomes explicit tag.
last_report_time (on-demand)
last_report_time (on-demand, explicit)
Becomes explicit tag.
Note: Tags marked as explicit in Orbis v2 endpoints have to be explicitly listed in Attributes/Attributes-Exclude headers or attributes query parameter.
They are not included solely by using * wildcard.
Changes in response content type
TomTom Maps
Orbis v2
image/pbf
application/vnd.mapbox-vector-tile
Changes in response headers
TomTom Maps header
Orbis v2 header
Notes
Not available
Content-Language
Content-Language header is introduced.
Not available
Cache-Control
Cache-Control header is introduced.
Incident raster tiles endpoint
Where do I find the new endpoint
The new Orbis v2 Incident raster tiles endpoint has the following path:
Optional. Specifies which attributes should be applied to the response. Replaces tags and filter query parameters. Takes precedence over Attributes-Attributes-Exclude headers pair.
tags
Not available
Replaced by the tags attribute (e.g., tags(road_category,road_subcategory)), available via the attributes query parameter or the Attributes header.
roadCategoryFilter
Not available
Replaced by the roadCategories attribute (e.g., roadCategories(motorway,trunk)), available via the attributes query parameter or the Attributes header.
Changes in request headers
Header name
Orbis v1
Orbis v2
TomTom-Api-Version
Required (value: 1)
Required (value: 2).
Attributes
Not available
Optional. Specifies which attributes should be applied to the response. Replaces tags and filter query parameters.
Attributes-Exclude
Not available
Optional. Specifies which attributes should be omitted in the response.
Allows the choice of tile tags in the requested tile.
roadCategories
Allows the choice of road category types in the requested tile.
Changes in protobuf tags
Orbis v1 tag
Orbis v2 tag
Notes
road_category (default)
road_category (default)
No change.
road_subcategory (default)
road_subcategory (default)
No change.
relative_speed (default)
relative_speed (default)
No change.
left_hand_traffic (default)
left_hand_traffic (default)
No change.
road_closure (default)
road_closure (default)
No change.
display_class (on-demand)
display_class (default)
Set from on-demand tag to default tag.
absolute_speed (on-demand)
absolute_speed (on-demand)
No change.
part_of_two_way_road (on-demand)
part_of_two_way_road (on-demand)
No change.
openlr (on-demand)
openlr (on-demand, explicit)
No change in functionality. Explicit tag.
Note: Tags marked as explicit in Orbis v2 endpoints have to be explicitly listed in Attributes/Attributes-Exclude headers or attributes query parameter.
They are not included solely by using * wildcard.
Changes in response content type
Orbis v1
Orbis v2
image/pbf
application/vnd.mapbox-vector-tile
Flow raster tiles endpoint
Endpoint URL
The base path changes and the API version changes:
Optional. Specifies which attributes should be applied to the response. Replaces tags and filter query parameters. Takes precedence over Attributes-Attributes-Exclude headers pair.
tags
Not available
Replaced by the tags attribute (e.g., tags(road_category,road_subcategory)), available via the attributes query parameter or the Attributes header.
roadCategoryFilter
Not available
Replaced by the roadCategories attribute (e.g., roadCategories(motorway,trunk)), available via the attributes query parameter or the Attributes header.
categoryFilter
Not available
Replaced by the iconCategories attribute (e.g., iconCategories(accident,jam)), available via the attributes query parameter or the Attributes header.
timeValidityFilter
Not available
Replaced by the timeValidity attribute (e.g., timeValidity(present)), available via the attributes query parameter or the Attributes header.
language
Not available
Removed. Use the Accept-Language request header instead.
Changes in request headers
Header name
Orbis v1
Orbis v2
TomTom-Api-Version
Required (value: 1)
Required (value: 2).
Attributes
Not available
Optional. Specifies which attributes should be applied to the response. Replaces tags and filter query parameters.
Attributes-Exclude
Not available
Optional. Specifies which attributes should be omitted in the response.
Allows the choice of tile tags in the requested tile.
roadCategories
Allows the choice of road category types in the requested tile.
iconCategories
Allows the choice of icon categories in the requested tile.
timeValidity
Allows the choice of incidents presence based on their occurrence in time (present and/or future).
Changes in protobuf tags
Orbis v1 tag
Orbis v2 tag
Notes
idstring (mandatory)
idstring (mandatory)
No change.
icon_category_[idx]integer (default)
icon_category_[idx]string (default)
Type changed from integer to string. Values changed from numeric codes (e.g., 0, 1, 6) to descriptive strings (e.g., unknown, accident, jam).
magnitude_of_delayinteger (default)
magnitude_of_delaystring (default)
Type changed from integer to string. Values changed from numeric codes (e.g., 0–4) to descriptive strings (e.g., unknown, minor, moderate, major, undefined).
left_hand_traffic (default)
left_hand_traffic (default)
No change.
road_category (default)
road_category (default)
No change.
road_subcategory (default)
road_subcategory (default)
No change.
point_type (default)
point_type (on-demand)
Marked as on-demand tag.
delay (on-demand)
delay_in_seconds (default)
Renamed and set from on-demand tag to default.
description_[idx] (on-demand)
description_[idx] (default)
Set from on-demand tag to default.
display_class (on-demand)
display_class (default)
Set from on-demand tag to default.
part_of_two_way_road (on-demand)
part_of_two_way_road (on-demand)
No change.
start_time (on-demand)
start_time (on-demand)
No change.
end_time (on-demand)
end_time (on-demand)
No change.
time_validity (on-demand)
time_validity (on-demand)
No change.
average_speed_kmph (on-demand)
average_speed_kmph (on-demand)
No change.
openlr (on-demand)
openlr (on-demand, explicit)
Becomes explicit tag.
probability_of_occurrence (on-demand)
probability_of_occurrence (on-demand, explicit)
Becomes explicit tag.
number_of_reports (on-demand)
number_of_reports (on-demand, explicit)
Becomes explicit tag.
last_report_time (on-demand)
last_report_time (on-demand, explicit)
Becomes explicit tag.
Note: Tags marked as explicit in Orbis v2 endpoints have to be explicitly listed in Attributes/Attributes-Exclude headers or attributes query parameter.
They are not included solely by using * wildcard.
Changes in response headers
Orbis v1 header
Orbis v2 header
Notes
Not available
Content-Language
Content-Language header is introduced.
Changes in response content type
Orbis v1
Orbis v2
image/pbf
application/vnd.mapbox-vector-tile
Incident raster tiles endpoint
Endpoint URL
The base path changes and the API version changes: